Subject: Tracing a core dump with gdb
From: [email-masked] (Anthony Symons)

11 Sep 1998 03:04:43 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked] (Anthony Symons)

Hi all,
I am trying to compile some X and Motif applications
with cyg-gcc b19
My application fails with a seg violation.
However, the stack trace core file which is left is
just a text file of the stack frame with addresses in
hex.
gdb cannot read this in. My problem is that I do not know 
how to relate these addresses back to actual function
calls.

As well, when I run the application under gdb, when I hit
the seg violation, I cannot do a where - gdb says
that it cannot access memory at xxxxxx.

As this error seems to be hidden ~ 15 levels into a large loop
I have not even been able to get near to determining where
the problem is.

Is it possible to either
1. get a core file that gdb can under stand
2. set a break point on some system call which is 
	invoked when the seg violation occurs
3. set strace to a useful value which will help

Any help will be greatly appreciated

Cheers
Anthony
-- 
--------------------------------------------------------
Dr Anthony Symons       | Phone: +61-73-259-2365
CiTR Pty Ltd            | Fax:   +61-73-259-2259
John Oxley Centre       |
339 Coronation Drive    | Email: [email-masked]
MILTON                  |
QLD 4064 AUSTRALIA      | Postal: PO Box 1643
--------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".